XmVaCreateForm(library call)

NAME
XmVaCreateForm, XmVaCreateManagedForm — A Form widget convenience creation functions.

SYNOPSIS

#include <Xm/Form.h>

Widget XmVaCreateForm(
Widget parent,
String name,
...);

Widget XmVaCreateManagedForm(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a Form widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateForm function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedForm function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of Form and its associated resources, see XmForm(3).

RETURN

Returns the Form widget ID.

RELATED

XmForm(3), XmCreateForm(3), XtCreateWidget(3), and XtCreateManagedWidget(3).